<?php require_once('Connections/cn.php'); ?><?php
 session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
    
  if ( @$_POST["sql"]=="insert"){
      $filterfield="id_carrera";
	  $filter=@$_POST["id_carrera"];
	  }	
	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carreras</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Actualización de Costos de Programas </h2></td></tr></table>
<?php
  $conn = connect();
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php
 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Número de Programas <?php echo $startrec + 1 ?> - <?php echo $reccount ?> of <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="carreras_costos.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "id_carrera" ?>"<?php if ($filterfield == "id_carrera") { echo "selected"; } ?>><?php echo htmlspecialchars("Código") ?></option>
<option value="<?php echo "codigo_opsu" ?>"<?php if ($filterfield == "codigo_opsu") { echo "selected"; } ?>><?php echo htmlspecialchars("Código OPSU") ?></option>
<option value="<?php echo "nombre_carrera" ?>"<?php if ($filterfield == "nombre_carrera") { echo "selected"; } ?>><?php echo htmlspecialchars("Nombre de Carrera") ?></option>
<option value="<?php echo "titulo_otorgado" ?>"<?php if ($filterfield == "titulo_otorgado") { echo "selected"; } ?>><?php echo htmlspecialchars("Título") ?></option>
<option value="<?php echo "creditos_grado" ?>"<?php if ($filterfield == "creditos_grado") { echo "selected"; } ?>><?php echo htmlspecialchars("Créditos Grado") ?></option>
<option value="<?php echo "regimen" ?>"<?php if ($filterfield == "regimen") { echo "selected"; } ?>><?php echo htmlspecialchars("R�gimen") ?></option>
<option value="<?php echo "valoracion_nota" ?>"<?php if ($filterfield == "valoracion_nota") { echo "selected"; } ?>><?php echo htmlspecialchars("Valoración Calificación") ?></option>
<option value="<?php echo "duracion" ?>"<?php if ($filterfield == "duracion") { echo "selected"; } ?>><?php echo htmlspecialchars("Duración") ?></option>
<option value="<?php echo "turno" ?>"<?php if ($filterfield == "turno") { echo "selected"; } ?>><?php echo htmlspecialchars("Turno") ?></option>
<option value="<?php echo "escala_calif" ?>"<?php if ($filterfield == "escala_calif") { echo "selected"; } ?>><?php echo htmlspecialchars("Escala Calificación") ?></option>
<option value="<?php echo "salida_intermedia" ?>"<?php if ($filterfield == "salida_intermedia") { echo "selected"; } ?>><?php echo htmlspecialchars("Salida Intermedia") ?></option>
<option value="<?php echo "requerimiento" ?>"<?php if ($filterfield == "requerimiento") { echo "selected"; } ?>><?php echo htmlspecialchars("Requerimientos") ?></option>
<option value="<?php echo "gaceta" ?>"<?php if ($filterfield == "gaceta") { echo "selected"; } ?>><?php echo htmlspecialchars("Gaceta de Aprobación") ?></option>
<option value="<?php echo "arancel" ?>"<?php if ($filterfield == "arancel") { echo "selected"; } ?>><?php echo htmlspecialchars("Aranceles") ?></option>
<option value="<?php echo "costo_inscripcion" ?>"<?php if ($filterfield == "costo_inscripcion") { echo "selected"; } ?>><?php echo htmlspecialchars("Costo de la Inscripción") ?></option>
<option value="<?php echo "costo_uc" ?>"<?php if ($filterfield == "costo_uc") { echo "selected"; } ?>><?php echo htmlspecialchars("Costo de la Unidad Crédito") ?></option>
<option value="<?php echo "status" ?>"<?php if ($filterfield == "status") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="carreras_costos.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Editar</td>
<td class="hr"><a class="hr" href="carreras_costos.php?order=<?php echo "id_carrera" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Código") ?></a></td>
<td class="hr"><a class="hr" href="carreras_costos.php?order=<?php echo "codigo_opsu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Código OPSU") ?></a></td>
<td class="hr"><a class="hr" href="carreras_costos.php?order=<?php echo "nombre_carrera" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Denominación del Programa") ?></a></td>
<td class="hr"><a class="hr" href="carreras_costos.php?order=<?php echo "status" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Status") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>

<td class="<?php echo $style ?>" align="center"><a href="carreras_costos.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0"></a></td>

<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_carrera"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["codigo_opsu"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_carrera"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>


<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  $conn=connect();

  	mysql_select_db($database_conn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	$query_rstValoracion = "SELECT valoracion.codigo, valoracion.valoracion FROM valoracion";
	$rstValoracion = mysql_query($query_rstValoracion, $conn) or die(mysql_error());
	$row_rstValoracion = mysql_fetch_assoc($rstValoracion);
	$totalRows_rstValoracion = mysql_num_rows($rstValoracion);
	
	$cod_valoracion=$row['valoracion_nota'];
	
	$query_rstValoracion1 = "SELECT codigo, valoracion FROM valoracion WHERE codigo='$cod_valoracion'";
	$rstValoracion1 = mysql_query($query_rstValoracion1, $conn) or die(mysql_error());
	$row_rstValoracion1 = mysql_fetch_assoc($rstValoracion1);
	$totalRows_rstValoracion1 = mysql_num_rows($rstValoracion1);


	$query_rstTurno = "SELECT turnos.codigo, turnos.turno FROM turnos";
	$rstTurno = mysql_query($query_rstTurno, $conn) or die(mysql_error());
	$row_rstTurno = mysql_fetch_assoc($rstTurno);
	$totalRows_rstTurno = mysql_num_rows($rstTurno);
	
	$cod_turno=$row['turno'];

	$query_rstTurno1 = "SELECT turnos.codigo, turnos.turno FROM turnos where codigo='$cod_turno'";
	$rstTurno1 = mysql_query($query_rstTurno1, $conn) or die(mysql_error());
	$row_rstTurno1 = mysql_fetch_assoc($rstTurno1);
	$totalRows_rstTurno1 = mysql_num_rows($rstTurno1);
	
	$query_rstEscala = "SELECT escalas.codigo, escalas.escala FROM escalas";
	$rstEscala = mysql_query($query_rstEscala, $conn) or die(mysql_error());
	$row_rstEscala = mysql_fetch_assoc($rstEscala);
	$totalRows_rstEscala = mysql_num_rows($rstEscala);
	
	$cod_escala=$row['escala_calif'];
	$query_rstEscala1 = "SELECT codigo, escala FROM escalas WHERE codigo='$cod_escala'";
	$rstEscala1 = mysql_query($query_rstEscala1, $conn) or die(mysql_error());
	$row_rstEscala1 = mysql_fetch_assoc($rstEscala1);
	$totalRows_rstEscala1 = mysql_num_rows($rstEscala1);
	

	$query_rstGrado = "SELECT grado_academico.CODIGO, grado_academico.GRADO_ACADEMICO FROM grado_academico";
	$rstGrado = mysql_query($query_rstGrado, $conn) or die(mysql_error());
	$row_rstGrado = mysql_fetch_assoc($rstGrado);
	$totalRows_rstGrado = mysql_num_rows($rstGrado);
	
	$cod_grado=$row['titulo_otorgado'];
	$query_rstGrado1 = "SELECT CODIGO, GRADO_ACADEMICO FROM grado_academico where codigo='$cod_grado'";
	$rstGrado1 = mysql_query($query_rstGrado1, $conn) or die(mysql_error());
	$row_rstGrado1 = mysql_fetch_assoc($rstGrado1);
	$totalRows_rstGrado1 = mysql_num_rows($rstGrado1);
	
	
	
	$query_rstReq = "SELECT requerimientos.codigo, requerimientos.requerimientos FROM requerimientos";
	$rstReq = mysql_query($query_rstReq, $conn) or die(mysql_error());
	$row_rstReq = mysql_fetch_assoc($rstReq);
	$totalRows_rstReq = mysql_num_rows($rstReq);
	
	$cod_requerimiento=$row['requerimiento'];
	$query_rstReq1 = "SELECT codigo, requerimientos FROM requerimientos where codigo='$cod_requerimiento'";
	$rstReq1 = mysql_query($query_rstReq1, $conn) or die(mysql_error());
	$row_rstReq1 = mysql_fetch_assoc($rstReq1);
	$totalRows_rstReq1 = mysql_num_rows($rstReq1);

    $cod_modalidad=$row['modalidad'];
	if($cod_modalidad=="1"){
	    $modalidad="PRESENCIAL";
		}
	elseif($cod_modalidad=="2"){
	    $modalidad="SEMI-PRESENCIAL O MIXTO";
		}
	else{
	    $modalidad="A DISTANCIA";
	}
	
	$cod_regimen=$row['regimen'];
	if($cod_regimen=="1"){
	    $regimen="ANUAL";
		}
	elseif($cod_regimen=="2"){
	    $regimen="TRIMESTRAL";
		}
	elseif($cod_regimen=="3"){
	    $regimen="TRIMESTRAL";
		}	
	else{
	    $modalidad="A DISTANCIA";
	}
	
	$tipo=$row['tipo'];
	if($tipo=="00"){
	   $tipo_programa="DIPLOMADO";
	}
	if($tipo=="01"){
	   $tipo_programa="ESPECIALIZACIÓN";
	}
	if($tipo=="02"){
	   $tipo_programa="MAESTRÍA";
	}
	if($tipo=="03"){
	   $tipo_programa="DOCTORADO";
	}   
	if($tipo=="99"){
	   $tipo_programa="CURSO";
	} 
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código ULAC")."&nbsp;" ?></td>
<td class="dr"><input disabled="disabled" type="text" name="id_carrera" maxlength="5" value="<?php echo str_replace('"', '&quot;', trim($row["id_carrera"])) ?>" onBlur="verificar_carrera(this.value)"> <iframe name="frameAlumno" id="frameCarrera" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código OPSU")."&nbsp;" ?></td>
<td class="dr"><input disabled="disabled" type="text" name="codigo_opsu" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["codigo_opsu"])) ?>" onBlur="verificar_opsu(this.value)"> <iframe name="frameOpsu" id="frameOpsu" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación del Programa")."&nbsp;" ?></td>
<td class="dr"><input name="nombre_carrera" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_carrera"])) ?>" size="80" maxlength="160"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Arancel")."&nbsp;" ?></td>
<td class="dr"><input name="arancel" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["arancel"])) ?>" size="9" maxlength="9">&nbsp;U.T. (Para ingresar decimales utilice punto)</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inversión Total (Bs.)")."&nbsp;" ?></td>
<td class="dr"><input name="inversion" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["inversion"])) ?>" size="9" maxlength="9">&nbsp;Bs. (Para ingresar decimales utilice punto)</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Inscripción Nuevos (Bs.)")."&nbsp;" ?></td>
<td class="dr"><input name="costo_inscripcion" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["costo_inscripcion"])) ?>" size="9" maxlength="9">&nbsp;Bs. (Para ingresar decimales utilice punto)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inscripción Regulares (Bs.)")."&nbsp;" ?></td>
<td class="dr"><input name="costo_regular" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["costo_regular"])) ?>" size="9" maxlength="9">&nbsp;Bs. (Para ingresar decimales utilice punto)</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Costo de Unidad Crédito (U.T.)")."&nbsp;" ?></td>
<td class="dr"><input name="costo_uc" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["costo_uc"])) ?>" size="9" maxlength="9">&nbsp;U.T. (Para ingresar decimales utilice punto)</td>
</tr>
</table>
<?php 
mysql_free_result($rstValoracion);
mysql_free_result($rstTurno);
mysql_free_result($rstEscala);
mysql_free_result($rstGrado);
mysql_free_result($rstReq);
} ?>



<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<?php if ($page > 1) { ?>
<td><a href="carreras_costos.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="carreras_costos.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="carreras_costos.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="carreras_costos.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras_costos.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="carreras_costos.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="carreras_costos.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras_costos.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addCarrera" enctype="multipart/form-data" action="carreras_costos.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_carrera" => "",
  "codigo_opsu" => "",
  "nombre_carrera" => "",
  "titulo_otorgado" => "",
  "nombre_titulo" => "",
  "mencion" => "",
  "prefijo" => "",
  "tipo" => "",
  "creditos_grado" => "",
  "num_materias" => "",
  "regimen" => "",
  "modalidad" => "",
  "valoracion_nota" => "",
  "duracion" => "",
  "turno" => "",
  "escala_calif" => "",
  "salida_intermedia" => "",
  "requerimiento" => "",
  "gaceta" => "",
  "arancel" => "",
  "comentario" => "",
  "costo_inscripcion" => "",
  "costo_regular" => "",
  "costo_uc" => "",
  "status" => "",
  "inversion" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<td><a href="carreras_costos.php?a=edit&recid=<?php echo $recid ?>">Editar Programa</a></td>

</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="carreras_costos.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="carreras_costos.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "ceula_sadce_admi", "j7BnJdCGzyQBGcud");
  mysql_select_db("ceulac_sadce");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_carrera`, `codigo_opsu`, `nombre_carrera`, `titulo_otorgado`, `nombre_titulo`, `prefijo`, `tipo`, `mencion`, `creditos_grado`, `num_materias`, `regimen`, `modalidad`, `valoracion_nota`, `duracion`, `turno`, `escala_calif`, `salida_intermedia`, `requerimiento`, `gaceta`, `arancel`, `comentario`, `costo_inscripcion`, `costo_regular`, `costo_uc`, `status`,`inversion` FROM `carreras`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_carrera` like '" .$filterstr ."') or (`codigo_opsu` like '" .$filterstr ."') or (`nombre_carrera` like '" .$filterstr ."') or (`titulo_otorgado` like '" .$filterstr ."') or (`nombre_titulo` like '" .$filterstr ."') or (`creditos_grado` like '" .$filterstr ."') or (`regimen` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`valoracion_nota` like '" .$filterstr ."') or (`duracion` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`escala_calif` like '" .$filterstr ."') or (`salida_intermedia` like '" .$filterstr ."') or (`requerimiento` like '" .$filterstr ."') or (`gaceta` like '" .$filterstr ."') or (`arancel` like '" .$filterstr ."') or (`comentario` like '" .$filterstr ."') or (`costo_inscripcion` like '" .$filterstr ."') or (`costo_uc` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `carreras`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_carrera` like '" .$filterstr ."') or (`codigo_opsu` like '" .$filterstr ."') or (`nombre_carrera` like '" .$filterstr ."') or (`titulo_otorgado` like '" .$filterstr ."') or (`nombre_titulo` like '" .$filterstr ."') or (`creditos_grado` like '" .$filterstr ."') or (`regimen` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`valoracion_nota` like '" .$filterstr ."') or (`duracion` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`escala_calif` like '" .$filterstr ."') or (`salida_intermedia` like '" .$filterstr ."') or (`requerimiento` like '" .$filterstr ."') or (`gaceta` like '" .$filterstr ."') or (`arancel` like '" .$filterstr ."') or (`comentario` like '" .$filterstr ."') or (`costo_inscripcion` like '" .$filterstr ."') or (`costo_uc` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `carreras` (`id_carrera`, `codigo_opsu`, `nombre_carrera`, `titulo_otorgado`, `prefijo`, `tipo`, `mencion`, `creditos_grado`, `num_materias`, `regimen`, `modalidad`, `valoracion_nota`, `duracion`, `turno`, `escala_calif`, `salida_intermedia`, `requerimiento`, `gaceta`, `arancel`, `comentario`, `costo_inscripcion`, `costo_regular`, `costo_uc`, `status`,`inversion`) values (" .sqlvalue(@$_POST["id_carrera"], true).", " .sqlvalue(@$_POST["codigo_opsu"], true).", " .sqlvalue(@$_POST["nombre_carrera"], true).", " .sqlvalue(@$_POST["titulo_otorgado"], true).", " .sqlvalue(@$_POST["nombre_titulo"], true).", " .sqlvalue(@$_POST["prefijo"], true).", " .sqlvalue(@$_POST["tipo"], true).", " .sqlvalue(@$_POST["mencion"], true).", " .sqlvalue(@$_POST["creditos_grado"], false).", " .sqlvalue(@$_POST["num_materias"], false).", " .sqlvalue(@$_POST["regimen"], true).", " .sqlvalue(@$_POST["modalidad"], true).", " .sqlvalue(@$_POST["valoracion_nota"], true).", " .sqlvalue(@$_POST["duracion"], true).", " .sqlvalue(@$_POST["turno"], true).", " .sqlvalue(@$_POST["escala_calif"], true).", " .sqlvalue(@$_POST["salida_intermedia"], true).", " .sqlvalue(@$_POST["requerimiento"], true).", " .sqlvalue(@$_POST["gaceta"], true).", " .sqlvalue(@$_POST["arancel"], false).", " .sqlvalue(@$_POST["comentario"], true).", " .sqlvalue(@$_POST["costo_inscripcion"], false).", " .sqlvalue(@$_POST["costo_regular"], false).", " .sqlvalue(@$_POST["costo_uc"], false).", " .sqlvalue(@$_POST["status"], true).", " .sqlvalue(@$_POST["inversion"], true).")";

  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `carreras` set `arancel`=" .sqlvalue(@$_POST["arancel"], false).",  `costo_inscripcion`=" .sqlvalue(@$_POST["costo_inscripcion"], false).",  `costo_regular`=" .sqlvalue(@$_POST["costo_regular"], false).", `costo_uc`=" .sqlvalue(@$_POST["costo_uc"], false).", `inversion`=" .sqlvalue(@$_POST["inversion"], false)."  where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  
  
  $id_carrera=@$_POST["xid_carrera"];
  
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM historico_notas WHERE id_carrera='$id_carrera'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Programa " +'<<<?php echo $id_carrera; ?>>>'+" no se puede borrar. Tiene calificaciones registradas."
	 	    alert(msj);
	     </script>
	 <?php
	 }
	 else {
          $sql = "delete from `carreras` where " .primarykeycondition();
          mysql_query($sql, $conn) or die(mysql_error());
      }
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ")";
  return $pk;
}
 ?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		// --var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
		tecla=(document.all)?evt.keyCode : evt.which;
		if ((tecla<48 || tecla>57) && tecla!=46) return false
	
		//--return (key == 8 || key == 13 || (key >= 48 && key <= 57 && key == 46));
	}
	
</script>	
<script type="text/javascript">
	
function validar_datos()
{
  if(document.addCarrera.id_carrera.value==""){
	alert("El campo <<Código de Carrera>> es obligatorio");
	document.addCarrera.id_carrera.focus();
	return false;
   }
  if(document.addCarrera.nombre_carrera.value==""){
	alert("El campo <<Nombre Carrera>> es obligatorio");
	document.addCarrera.nombre_carrera.focus();
	return false;
   }
   if(document.addCarrera.titulo_otorgado.value==""){
	alert("El campo <<Título Otorgado>> es obligatorio");
	document.addCarrera.titulo_otorgado.focus();
	return false;
   }
   if(document.addCarrera.mencion.value==""){
	alert("El campo <<Denominación del Título>> es obligatorio");
	document.addCarrera.mencion.focus();
	return false;
   }
   if(document.addCarrera.prefijo.value==0){
	alert("El campo <<Prefijo>> es obligatorio");
	document.addCarrera.prefijo.focus();
	return false;
   }
   if(document.addCarrera.tipo.value==0){
	alert("El campo <<Tipo de Programa>> es obligatorio");
	document.addCarrera.tipo.focus();
	return false;
   }
   if(document.addCarrera.creditos_grado.value==""){
	alert("El campo <<Créditos para Grado>> es obligatorio");
	document.addCarrera.creditos_grado.focus();
	return false;
   }
   if(document.addCarrera.num_materias.value==""){
	alert("El campo <<Total de Materias>> es obligatorio");
	document.addCarrera.num_materias.focus();
	return false;
   }
   if(document.addCarrera.costo_inscripcion.value==""){
	alert("El campo <<Costo de Inscripción Nuevos Participantes>> es obligatorio");
	document.addCarrera.costo_inscripcion.focus();
	return false;
   }
   if(document.addCarrera.costo_inscripcion.value==""){
	alert("El campo <<Costo de Inscripción Partcipantes Regulares>> es obligatorio");
	document.addCarrera.costo_regular.focus();
	return false;
   }
   if(document.addCarrera.costo_uc.value==""){
	alert("El campo <<Costo de la Unidad Crédito>> es obligatorio");
	document.addCarrera.costo_uc.focus();
	return false;
   }
   
	return true;
}
</script>
	
<script type="text/javascript">	
function verificar_carrera(codigo)
{
 	if (codigo!="")
	 {
	 url="validar_carrera.php?codigo="+codigo
	 frameCarrera.location=url;
	 }
}

function verificar_opsu(codigo)
{
 	if (codigo!="")
	 {
	 url="validar_opsu.php?codigo="+codigo
	 frameOpsu.location=url;
	 }
}
</script>


<script type="text/javascript">
function soloNum2Dec(evt, f)
	{	
		key=evt.keyCode ? evt.keyCode : evt.which
		
		if (key==8) return true
		
		if (key>47 && key <58) {
		    if (f.value=="") return true
			regexp=/..[0-9]{2}$/
			return !(regexp.test(f.value))
			}
		if (key==46) {
		    if (f.value=="") return false
			regexp=/^[0-9]+$/
			return regexp.test(f.value)
			}	
			return false
	}
</script>